<?php
$site=getvar('site', '');
$style=getvar('style', '');

if ($site=='' || $style=='') {
	$site=readCookie('adsite');
	$style=readCookie('adstyle');
}
else {
	writeCookie('adsite', $site);
	writeCookie('adstyle', $style);
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
<title>Example website</title>
<style type="text/css">
/* <![CDATA[ */
body
{
	font-family: arial, sans-serif;
	font-size: small;
	padding: 0;
	margin: 10px;
	background-color: #fff;
}

h1
{
	font-size: large;
	font-weight: bold;
	margin: 0 0 1em 0;
	padding: 0 0 1px 0;
	border-bottom: 2px solid #000000;
}

.code
{
	display: block;
	width: 90%;
	height: 4em;
	font-family : courier new, courier, monospace;
	font-size: 0.9em;
	margin: 1em auto;
}
/* ]]> */
</style>
</head>
<body onload="window.focus();">
<h1>Example website</h1>
<?php
// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;';

$inifile='autodirector.ini';
$ini=parse_ini_file($inifile);
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') {
	print "The following parameters are missing from the $inifile file:\n $defaults";
	exit;
}
unset($defaults);


// ________________________________________________________
// MAIN APPLICATION
$url=scriptPath().'carlist.php';

if ($site=='') print '<p><b>Your vehicle list cannot be displayed on this page unless you <a href="index.php">log on</a>.</b></p>';
else {
	print '<p>Copy this code into any web page:</p><div><textarea rows="3" cols="60" class="code" onclick="this.select();">&lt;div id="autodirector"&gt;&lt;/div&gt;&lt;script type="text/javascript" src="'.$url.'?site='.$site.'&amp;amp;style='.$style.'"&gt;&lt;/script&gt;</textarea></div><p>The following virtual showroom will be shown:</p>';
	print "<div id=\"autodirector\"></div><script type=\"text/javascript\" src=\"$url?site=$site&amp;style=$style\"></script>";
}

// ________________________________________________________
// fetches a GET form variable or sets to a default
function getvar($var, $default='') {
	if (isset($_GET[$var])) {
		$ret=$_GET[$var];
		if (get_magic_quotes_gpc()) $ret=stripslashes($ret);
	}
	else {
		$ret=$default;
	}

	$ret=str_replace('<', '&lt;', $ret);
	$ret=str_replace('>', '&gt;', $ret);

	return $ret;
}

// ________________________________________________________
// define a cookie
function writeCookie($name, $value='') {
	if ($value=='') setcookie($name);
	else setcookie($name, $value);
}

// ________________________________________________________
// read the value of a cookie
function readCookie($name, $default='') {
	if (isset($_COOKIE[$name])) {
		$ret=$_COOKIE[$name];
		if (get_magic_quotes_gpc()) $ret=stripslashes($ret);
	}
	else {
		$ret=$default;
	}
	return $ret;
}

// ________________________________________________________
// find fully qualified path to script
function scriptPath() {
	$path='http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
	$p=strrpos($path, '/');
	if ($p>0) $path=substr($path, 0, $p+1);

	return $path;
}
?>
<p>Just one line of code is required to implement a showroom on your website.</p>
</body>
</html>
